org.jacoco.core.runtime

## Class AbstractRuntime

- java.lang.Object
- - org.jacoco.core.runtime.AbstractRuntime

All Implemented Interfaces:
  IExecutionDataAccessorGenerator, IRuntime

Direct Known Subclasses:
  LoggerRuntime, ModifiedSystemClassRuntime, SystemPropertiesRuntime, URLStreamHandlerRuntime

    public abstract class AbstractRuntime
    extends Object
    implements IRuntime

Base `IRuntime` implementation.

### Field Summary

Fields
`protected RuntimeData` `data` access to the runtime data

### Constructor Summary

Constructors
Constructor and Description
`AbstractRuntime()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `createRandomId()` Creates a random session identifier.
`void` `startup(RuntimeData data)` Subclasses must call this method when overwriting it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.core.runtime.IRuntime

`shutdown`

### Methods inherited from interface org.jacoco.core.runtime.IExecutionDataAccessorGenerator

`generateDataAccessor`

### Field Detail

#### data

    protected RuntimeData data

access to the runtime data

### Constructor Detail

#### AbstractRuntime

    public AbstractRuntime()

### Method Detail

#### startup

    public void startup(RuntimeData data)
                 throws Exception

Subclasses must call this method when overwriting it.

Specified by:
  `startup` in interface `IRuntime`
Parameters:
  `data` - the execution data for this runtime
Throws:
  `Exception` - any internal problem during startup

#### createRandomId

    public static String createRandomId()

Creates a random session identifier.

Returns:
  random session identifier